<?
 require_once($_path["include"]."module.php");

 class pureftpd_groups extends Module
 {
  function init(&$data)
  {
   global $_path;

   parent::init($data);

   $this->data->title=$this->data->l->t("Pure FTPD Groups");

   $this->data->addField("nr", "nr", "all", "identifier", 1, false, 0, "Group ID", "Should match unix file system groups");

   $this->data->addField("name", "title", "all", "title", 3, 15, false, "Name");

   $this->data->addField("home", "text", "all", "", 0, 255, false, "Home directory");

   $this->data->addField("ULBandwidth", "nr", "all", "", 0, false, 0, "Upload bandwidth", "KB/s");
   $this->data->addField("DLBandwidth", "nr", "all", "", 0, false, 0, "Download bandwidth", "KB/s");

   $this->data->addField("ULRatio", "nr", "all", "", 0, false, 0, "Upload ratio");
   $this->data->addField("DLRatio", "nr", "all", "", 0, false, 0, "Download ratio");

   $this->data->addUnique("name", "name");

   $this->data->group("Default settings", "home", "ULBandwidth", "DLBandwidth", "ULRatio", "DLRatio");
   $this->data->sortOrder("name");
  }
 }
?>
